	.reference	___bb_blitz_blitz
	.reference	___bb_imports_constants
	.reference	_bbGCFree
	.reference	_bbNullObject
	.reference	_bbObjectClass
	.reference	_bbObjectCompare
	.reference	_bbObjectCtor
	.reference	_bbObjectFree
	.reference	_bbObjectRegisterType
	.reference	_bbObjectReserved
	.reference	_bbObjectSendMessage
	.reference	_bbObjectToString
	.reference	_brl_blitz_NullMethodError
	.globl	___bb_imports_entity
	.globl	__bb_TEntity_Delete
	.globl	__bb_TEntity_New
	.globl	__bb_TEntity_addToListDepthSorted
	.globl	__bb_TEntity_checkCollisions
	.globl	__bb_TEntity_clear
	.globl	__bb_TEntity_deactivate
	.globl	__bb_TEntity_drawShadow
	.globl	__bb_TEntity_gFirst
	.globl	__bb_TEntity_gLast
	.globl	__bb_TEntity_gMaxZ
	.globl	__bb_TEntity_gMinZ
	.globl	__bb_TEntity_getSpeed
	.globl	__bb_TEntity_hittable
	.globl	__bb_TEntity_init
	.globl	__bb_TEntity_isCar
	.globl	__bb_TEntity_isHuman
	.globl	__bb_TEntity_isOil
	.globl	__bb_TEntity_isTunnelStart
	.globl	__bb_TEntity_receiveHit
	.globl	__bb_TEntity_removeAll
	.globl	__bb_TEntity_removeFromList
	.globl	__bb_TEntity_removeInactive
	.globl	__bb_TEntity_setInTunnel
	.globl	__bb_TEntity_setSegmentDX
	.globl	__bb_TEntity_setSegmentDY
	.globl	__bb_TEntity_setSlope
	.globl	__bb_TEntity_update
	.globl	__bb_TEntity_updateAll
	.globl	__bb_TEntity_updateDepthSort
	.globl	__bb_TEntity_updateDepthSortAll
	.globl	__bb_TEntity_updateDepthSortDown
	.globl	__bb_TEntity_updateDepthSortUp
	.globl	_bb_TEntity
	.text	
___bb_imports_entity:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	cmpl	$0,_179
	je	_180
	mov	$0,%eax
	mov	%ebp,%esp
	pop	%ebp
	ret
_180:
	movl	$1,_179
	call	___bb_blitz_blitz
	call	___bb_imports_constants
	movl	$_bb_TEntity,(%esp)
	call	_bbObjectRegisterType
	mov	$0,%eax
	jmp	_83
_83:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_New:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	8(%ebp),%ebx
	movl	%ebx,(%esp)
	call	_bbObjectCtor
	movl	$_bb_TEntity,(%ebx)
	movl	$0,8(%ebx)
	movl	$0,12(%ebx)
	fldz
	fstps	16(%ebx)
	fldz
	fstps	20(%ebx)
	fldz
	fstps	24(%ebx)
	fldz
	fstps	28(%ebx)
	fldz
	fstps	32(%ebx)
	fldz
	fstps	36(%ebx)
	fldz
	fstps	40(%ebx)
	fldz
	fstps	44(%ebx)
	fldz
	fstps	48(%ebx)
	fldz
	fstps	52(%ebx)
	mov	$_bbNullObject,%eax
	incl	4(%eax)
	movl	%eax,56(%ebx)
	mov	$_bbNullObject,%eax
	incl	4(%eax)
	movl	%eax,60(%ebx)
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*76(%eax)
	mov	$0,%eax
	jmp	_86
_86:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_Delete:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	8(%ebp),%ebx
_89:
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_186
	movl	%eax,(%esp)
	call	_bbGCFree
_186:
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_188
	movl	%eax,(%esp)
	call	_bbGCFree
_188:
	mov	$0,%eax
	jmp	_184
_184:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateAll:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	movl	__bb_TEntity_gFirst,%ebx
	jmp	_7
_9:
	flds	8(%ebp)
	fstps	4(%esp)
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*80(%eax)
	movl	60(%ebx),%ebx
_7:
	cmp	$_bbNullObject,%ebx
	jne	_9
_8:
	mov	$0,%eax
	jmp	_92
_92:
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_removeInactive:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	__bb_TEntity_gFirst,%eax
	jmp	_10
_12:
	cmpl	$0,8(%eax)
	jne	_192
	movl	60(%eax),%ebx
	movl	%eax,(%esp)
	movl	(%eax),%eax
	calll	*100(%eax)
	mov	%ebx,%eax
	jmp	_195
_192:
	movl	60(%eax),%eax
_195:
_10:
	cmp	$_bbNullObject,%eax
	jne	_12
_11:
	mov	$0,%eax
	jmp	_94
_94:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_removeAll:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	__bb_TEntity_gFirst,%ebx
	jmp	_13
_15:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*88(%eax)
	movl	60(%ebx),%ebx
_13:
	cmp	$_bbNullObject,%ebx
	jne	_15
_14:
	mov	$_bbNullObject,%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_201
	movl	%eax,(%esp)
	call	_bbGCFree
_201:
	movl	%ebx,__bb_TEntity_gFirst
	mov	$_bbNullObject,%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_205
	movl	%eax,(%esp)
	call	_bbGCFree
_205:
	movl	%ebx,__bb_TEntity_gLast
	mov	$0,%eax
	jmp	_96
_96:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateDepthSortAll:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	__bb_TEntity_gFirst,%eax
	jmp	_16
_18:
	cmpl	$0,12(%eax)
	je	_207
	movl	60(%eax),%ebx
	movl	%eax,(%esp)
	movl	(%eax),%eax
	calll	*104(%eax)
	mov	%ebx,%eax
	jmp	_210
_207:
	movl	60(%eax),%eax
_210:
_16:
	cmp	$_bbNullObject,%eax
	jne	_18
_17:
	mov	$0,%eax
	jmp	_98
_98:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_init:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%edx
	flds	12(%ebp)
	flds	16(%ebp)
	movl	20(%ebp),%eax
	fxch	%st(1)
	fstps	16(%edx)
	fstps	20(%edx)
	flds	16(%edx)
	fstps	44(%edx)
	movl	%eax,12(%edx)
	movl	$1,8(%edx)
	mov	$0,%eax
	jmp	_104
_104:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_setSegmentDX:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%eax
	flds	12(%ebp)
	fstps	36(%eax)
	mov	$0,%eax
	jmp	_109
_109:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_setSegmentDY:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%eax
	flds	12(%ebp)
	fstps	40(%eax)
	mov	$0,%eax
	jmp	_113
_113:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_addToListDepthSorted:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	push	%esi
	push	%edi
	sub	$12,%esp
	movl	8(%ebp),%edi
	cmpl	$_bbNullObject,__bb_TEntity_gFirst
	jne	_211
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_215
	movl	%eax,(%esp)
	call	_bbGCFree
_215:
	movl	%ebx,__bb_TEntity_gFirst
	mov	%edi,%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_219
	movl	%eax,(%esp)
	call	_bbGCFree
_219:
	movl	%ebx,__bb_TEntity_gLast
	jmp	_220
_211:
	movl	__bb_TEntity_gLast,%ebx
	jmp	_19
_21:
	movl	56(%ebx),%ebx
_19:
	cmp	$_bbNullObject,%ebx
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_222
	flds	16(%ebx)
	flds	16(%edi)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
_222:
	cmp	$0,%eax
	jne	_21
_20:
	cmp	$_bbNullObject,%ebx
	jne	_224
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TEntity_gFirst,%eax
	movl	56(%eax),%eax
	decl	4(%eax)
	jnz	_228
	movl	%eax,(%esp)
	call	_bbGCFree
_228:
	movl	__bb_TEntity_gFirst,%eax
	movl	%ebx,56(%eax)
	movl	__bb_TEntity_gFirst,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	60(%edi),%eax
	decl	4(%eax)
	jnz	_232
	movl	%eax,(%esp)
	call	_bbGCFree
_232:
	movl	%ebx,60(%edi)
	mov	%edi,%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_236
	movl	%eax,(%esp)
	call	_bbGCFree
_236:
	movl	%ebx,__bb_TEntity_gFirst
	jmp	_237
_224:
	cmpl	$_bbNullObject,60(%ebx)
	je	_238
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	movl	56(%eax),%eax
	decl	4(%eax)
	jnz	_242
	movl	%eax,(%esp)
	call	_bbGCFree
_242:
	movl	60(%ebx),%eax
	movl	%esi,56(%eax)
	jmp	_243
_238:
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_247
	movl	%eax,(%esp)
	call	_bbGCFree
_247:
	movl	%esi,__bb_TEntity_gLast
_243:
	mov	%ebx,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%edi),%eax
	decl	4(%eax)
	jnz	_251
	movl	%eax,(%esp)
	call	_bbGCFree
_251:
	movl	%esi,56(%edi)
	movl	60(%ebx),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%edi),%eax
	decl	4(%eax)
	jnz	_255
	movl	%eax,(%esp)
	call	_bbGCFree
_255:
	movl	%esi,60(%edi)
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_259
	movl	%eax,(%esp)
	call	_bbGCFree
_259:
	movl	%esi,60(%ebx)
_237:
_220:
	mov	$0,%eax
	jmp	_116
_116:
	add	$12,%esp
	pop	%edi
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_update:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%edx
	flds	12(%ebp)
	flds	16(%edx)
	fstps	44(%edx)
	flds	16(%edx)
	fsubp	%st(0),%st(1)
	fstps	16(%edx)
	flds	16(%edx)
	flds	__bb_TEntity_gMinZ
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setae	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_260
	movl	%edx,(%esp)
	movl	(%edx),%eax
	calll	*84(%eax)
_260:
	mov	$0,%eax
	jmp	_120
_120:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_deactivate:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	8(%ebp),%ebx
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*88(%eax)
	movl	$0,8(%ebx)
	mov	$0,%eax
	jmp	_123
_123:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_clear:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$0,%eax
	jmp	_126
_126:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_drawShadow:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$0,%eax
	jmp	_129
_129:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_removeFromList:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	push	%esi
	sub	$16,%esp
	movl	8(%ebp),%esi
	cmpl	$_bbNullObject,56(%esi)
	je	_263
	movl	60(%esi),%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	56(%esi),%eax
	movl	60(%eax),%eax
	decl	4(%eax)
	jnz	_267
	movl	%eax,(%esp)
	call	_bbGCFree
_267:
	movl	56(%esi),%eax
	movl	%ebx,60(%eax)
	jmp	_268
_263:
	movl	60(%esi),%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_272
	movl	%eax,(%esp)
	call	_bbGCFree
_272:
	movl	%ebx,__bb_TEntity_gFirst
_268:
	cmpl	$_bbNullObject,60(%esi)
	je	_273
	movl	56(%esi),%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	60(%esi),%eax
	movl	56(%eax),%eax
	decl	4(%eax)
	jnz	_277
	movl	%eax,(%esp)
	call	_bbGCFree
_277:
	movl	60(%esi),%eax
	movl	%ebx,56(%eax)
	jmp	_278
_273:
	movl	56(%esi),%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_282
	movl	%eax,(%esp)
	call	_bbGCFree
_282:
	movl	%ebx,__bb_TEntity_gLast
_278:
	mov	$0,%eax
	jmp	_132
_132:
	add	$16,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateDepthSort:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%edx
	movl	56(%edx),%eax
	cmp	$_bbNullObject,%eax
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_283
	movl	56(%edx),%eax
	flds	16(%eax)
	flds	16(%edx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
_283:
	cmp	$0,%eax
	je	_285
	movl	%edx,(%esp)
	movl	(%edx),%eax
	calll	*108(%eax)
	jmp	_287
_285:
	movl	60(%edx),%eax
	cmp	$_bbNullObject,%eax
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_288
	movl	60(%edx),%eax
	flds	16(%eax)
	flds	16(%edx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setb	%al
	movzbl	%al,%eax
_288:
	cmp	$0,%eax
	je	_290
	movl	%edx,(%esp)
	movl	(%edx),%eax
	calll	*112(%eax)
_290:
_287:
	mov	$0,%eax
	jmp	_135
_135:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateDepthSortDown:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	push	%esi
	push	%edi
	sub	$12,%esp
	movl	8(%ebp),%edi
	movl	56(%edi),%ebx
	mov	%edi,%eax
	movl	%eax,(%esp)
	movl	(%eax),%eax
	calll	*100(%eax)
	jmp	_22
_24:
	movl	56(%ebx),%ebx
_22:
	cmp	$_bbNullObject,%ebx
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_294
	flds	16(%ebx)
	flds	16(%edi)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
_294:
	cmp	$0,%eax
	jne	_24
_23:
	cmp	$_bbNullObject,%ebx
	jne	_296
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TEntity_gFirst,%eax
	movl	56(%eax),%eax
	decl	4(%eax)
	jnz	_300
	movl	%eax,(%esp)
	call	_bbGCFree
_300:
	movl	__bb_TEntity_gFirst,%eax
	movl	%ebx,56(%eax)
	mov	$_bbNullObject,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	56(%edi),%eax
	decl	4(%eax)
	jnz	_304
	movl	%eax,(%esp)
	call	_bbGCFree
_304:
	movl	%ebx,56(%edi)
	movl	__bb_TEntity_gFirst,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	60(%edi),%eax
	decl	4(%eax)
	jnz	_308
	movl	%eax,(%esp)
	call	_bbGCFree
_308:
	movl	%ebx,60(%edi)
	mov	%edi,%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gFirst,%eax
	decl	4(%eax)
	jnz	_312
	movl	%eax,(%esp)
	call	_bbGCFree
_312:
	movl	%ebx,__bb_TEntity_gFirst
	jmp	_313
_296:
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	movl	56(%eax),%eax
	decl	4(%eax)
	jnz	_317
	movl	%eax,(%esp)
	call	_bbGCFree
_317:
	movl	60(%ebx),%eax
	movl	%esi,56(%eax)
	movl	60(%ebx),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%edi),%eax
	decl	4(%eax)
	jnz	_321
	movl	%eax,(%esp)
	call	_bbGCFree
_321:
	movl	%esi,60(%edi)
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	60(%ebx),%eax
	decl	4(%eax)
	jnz	_325
	movl	%eax,(%esp)
	call	_bbGCFree
_325:
	movl	%esi,60(%ebx)
	mov	%ebx,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	56(%edi),%eax
	decl	4(%eax)
	jnz	_329
	movl	%eax,(%esp)
	call	_bbGCFree
_329:
	movl	%ebx,56(%edi)
_313:
	mov	$0,%eax
	jmp	_138
_138:
	add	$12,%esp
	pop	%edi
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_updateDepthSortUp:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	push	%esi
	push	%edi
	sub	$12,%esp
	movl	8(%ebp),%edi
	movl	60(%edi),%ebx
	mov	%edi,%eax
	movl	%eax,(%esp)
	movl	(%eax),%eax
	calll	*100(%eax)
	jmp	_25
_27:
	movl	60(%ebx),%ebx
_25:
	cmp	$_bbNullObject,%ebx
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_332
	flds	16(%ebx)
	flds	16(%edi)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setb	%al
	movzbl	%al,%eax
_332:
	cmp	$0,%eax
	jne	_27
_26:
	cmp	$_bbNullObject,%ebx
	jne	_334
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TEntity_gLast,%eax
	movl	60(%eax),%eax
	decl	4(%eax)
	jnz	_338
	movl	%eax,(%esp)
	call	_bbGCFree
_338:
	movl	__bb_TEntity_gLast,%eax
	movl	%ebx,60(%eax)
	movl	__bb_TEntity_gLast,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	56(%edi),%eax
	decl	4(%eax)
	jnz	_342
	movl	%eax,(%esp)
	call	_bbGCFree
_342:
	movl	%ebx,56(%edi)
	mov	$_bbNullObject,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	60(%edi),%eax
	decl	4(%eax)
	jnz	_346
	movl	%eax,(%esp)
	call	_bbGCFree
_346:
	movl	%ebx,60(%edi)
	mov	%edi,%ebx
	incl	4(%ebx)
	movl	__bb_TEntity_gLast,%eax
	decl	4(%eax)
	jnz	_350
	movl	%eax,(%esp)
	call	_bbGCFree
_350:
	movl	%ebx,__bb_TEntity_gLast
	jmp	_351
_334:
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	movl	60(%eax),%eax
	decl	4(%eax)
	jnz	_355
	movl	%eax,(%esp)
	call	_bbGCFree
_355:
	movl	56(%ebx),%eax
	movl	%esi,60(%eax)
	movl	56(%ebx),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%edi),%eax
	decl	4(%eax)
	jnz	_359
	movl	%eax,(%esp)
	call	_bbGCFree
_359:
	movl	%esi,56(%edi)
	mov	%edi,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	56(%ebx),%eax
	decl	4(%eax)
	jnz	_363
	movl	%eax,(%esp)
	call	_bbGCFree
_363:
	movl	%esi,56(%ebx)
	mov	%ebx,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	60(%edi),%eax
	decl	4(%eax)
	jnz	_367
	movl	%eax,(%esp)
	call	_bbGCFree
_367:
	movl	%ebx,60(%edi)
_351:
	mov	$0,%eax
	jmp	_141
_141:
	add	$12,%esp
	pop	%edi
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_getSpeed:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	flds	_424
	jmp	_144
_144:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_isHuman:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$0,%eax
	jmp	_147
_147:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_isOil:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$0,%eax
	jmp	_150
_150:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_isCar:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$0,%eax
	jmp	_153
_153:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_isTunnelStart:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$0,%eax
	jmp	_156
_156:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_checkCollisions:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$0,%eax
	jmp	_160
_160:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_receiveHit:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	flds	12(%ebp)
	jmp	_166
_166:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_hittable:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$1,%eax
	jmp	_169
_169:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_setSlope:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$0,%eax
	jmp	_173
_173:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TEntity_setInTunnel:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	mov	$0,%eax
	jmp	_177
_177:
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_179:
	.long	0
	.align	4
__bb_TEntity_gFirst:
	.long	_bbNullObject
	.align	4
__bb_TEntity_gLast:
	.long	_bbNullObject
	.align	4
__bb_TEntity_gMinZ:
	.long	0x0
	.align	4
__bb_TEntity_gMaxZ:
	.long	0x0
_29:
	.asciz	"TEntity"
_30:
	.asciz	"fActive"
_31:
	.asciz	"i"
_32:
	.asciz	"fUpdateDepthSort"
_33:
	.asciz	"fZ"
_34:
	.asciz	"f"
_35:
	.asciz	"fX"
_36:
	.asciz	"fScreenY"
_37:
	.asciz	"fScale"
_38:
	.asciz	"fRoadX"
_39:
	.asciz	"fSegmentDX"
_40:
	.asciz	"fSegmentDY"
_41:
	.asciz	"fOldZ"
_42:
	.asciz	"fWidth"
_43:
	.asciz	"fLength"
_44:
	.asciz	"fPrevious"
_45:
	.asciz	":TEntity"
_46:
	.asciz	"fNext"
_47:
	.asciz	"New"
_48:
	.asciz	"()i"
_49:
	.asciz	"Delete"
_50:
	.asciz	"updateAll"
_51:
	.asciz	"(f)i"
_52:
	.asciz	"removeInactive"
_53:
	.asciz	"removeAll"
_54:
	.asciz	"updateDepthSortAll"
_55:
	.asciz	"init"
_56:
	.asciz	"(f,f,i)i"
_57:
	.asciz	"setSegmentDX"
_58:
	.asciz	"(f,f)i"
_59:
	.asciz	"setSegmentDY"
_60:
	.asciz	"addToListDepthSorted"
_61:
	.asciz	"update"
_62:
	.asciz	"deactivate"
_63:
	.asciz	"clear"
_64:
	.asciz	"draw"
_65:
	.asciz	"drawShadow"
_66:
	.asciz	"removeFromList"
_67:
	.asciz	"updateDepthSort"
_68:
	.asciz	"updateDepthSortDown"
_69:
	.asciz	"updateDepthSortUp"
_70:
	.asciz	"getSpeed"
_71:
	.asciz	"()f"
_72:
	.asciz	"isHuman"
_73:
	.asciz	"isOil"
_74:
	.asciz	"isCar"
_75:
	.asciz	"isTunnelStart"
_76:
	.asciz	"checkCollisions"
_77:
	.asciz	"(i)i"
_78:
	.asciz	"receiveHit"
_79:
	.asciz	"(f,f,f)f"
_80:
	.asciz	"hittable"
_81:
	.asciz	"setSlope"
_82:
	.asciz	"setInTunnel"
	.align	4
_28:
	.long	2
	.long	_29
	.long	3
	.long	_30
	.long	_31
	.long	8
	.long	3
	.long	_32
	.long	_31
	.long	12
	.long	3
	.long	_33
	.long	_34
	.long	16
	.long	3
	.long	_35
	.long	_34
	.long	20
	.long	3
	.long	_36
	.long	_34
	.long	24
	.long	3
	.long	_37
	.long	_34
	.long	28
	.long	3
	.long	_38
	.long	_34
	.long	32
	.long	3
	.long	_39
	.long	_34
	.long	36
	.long	3
	.long	_40
	.long	_34
	.long	40
	.long	3
	.long	_41
	.long	_34
	.long	44
	.long	3
	.long	_42
	.long	_34
	.long	48
	.long	3
	.long	_43
	.long	_34
	.long	52
	.long	3
	.long	_44
	.long	_45
	.long	56
	.long	3
	.long	_46
	.long	_45
	.long	60
	.long	6
	.long	_47
	.long	_48
	.long	16
	.long	6
	.long	_49
	.long	_48
	.long	20
	.long	7
	.long	_50
	.long	_51
	.long	48
	.long	7
	.long	_52
	.long	_48
	.long	52
	.long	7
	.long	_53
	.long	_48
	.long	56
	.long	7
	.long	_54
	.long	_48
	.long	60
	.long	6
	.long	_55
	.long	_56
	.long	64
	.long	6
	.long	_57
	.long	_58
	.long	68
	.long	6
	.long	_59
	.long	_51
	.long	72
	.long	6
	.long	_60
	.long	_48
	.long	76
	.long	6
	.long	_61
	.long	_51
	.long	80
	.long	6
	.long	_62
	.long	_48
	.long	84
	.long	6
	.long	_63
	.long	_48
	.long	88
	.long	6
	.long	_64
	.long	_48
	.long	92
	.long	6
	.long	_65
	.long	_48
	.long	96
	.long	6
	.long	_66
	.long	_48
	.long	100
	.long	6
	.long	_67
	.long	_48
	.long	104
	.long	6
	.long	_68
	.long	_48
	.long	108
	.long	6
	.long	_69
	.long	_48
	.long	112
	.long	6
	.long	_70
	.long	_71
	.long	116
	.long	6
	.long	_72
	.long	_48
	.long	120
	.long	6
	.long	_73
	.long	_48
	.long	124
	.long	6
	.long	_74
	.long	_48
	.long	128
	.long	6
	.long	_75
	.long	_48
	.long	132
	.long	6
	.long	_76
	.long	_77
	.long	136
	.long	6
	.long	_78
	.long	_79
	.long	140
	.long	6
	.long	_80
	.long	_48
	.long	144
	.long	6
	.long	_81
	.long	_51
	.long	148
	.long	6
	.long	_82
	.long	_77
	.long	152
	.long	0
	.align	4
_bb_TEntity:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_28
	.long	64
	.long	__bb_TEntity_New
	.long	__bb_TEntity_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__bb_TEntity_updateAll
	.long	__bb_TEntity_removeInactive
	.long	__bb_TEntity_removeAll
	.long	__bb_TEntity_updateDepthSortAll
	.long	__bb_TEntity_init
	.long	__bb_TEntity_setSegmentDX
	.long	__bb_TEntity_setSegmentDY
	.long	__bb_TEntity_addToListDepthSorted
	.long	__bb_TEntity_update
	.long	__bb_TEntity_deactivate
	.long	__bb_TEntity_clear
	.long	_brl_blitz_NullMethodError
	.long	__bb_TEntity_drawShadow
	.long	__bb_TEntity_removeFromList
	.long	__bb_TEntity_updateDepthSort
	.long	__bb_TEntity_updateDepthSortDown
	.long	__bb_TEntity_updateDepthSortUp
	.long	__bb_TEntity_getSpeed
	.long	__bb_TEntity_isHuman
	.long	__bb_TEntity_isOil
	.long	__bb_TEntity_isCar
	.long	__bb_TEntity_isTunnelStart
	.long	__bb_TEntity_checkCollisions
	.long	__bb_TEntity_receiveHit
	.long	__bb_TEntity_hittable
	.long	__bb_TEntity_setSlope
	.long	__bb_TEntity_setInTunnel
	.align	4
_424:
	.long	0x0
